# I3DEditorHostPart.h File Reference

## Classes
struct | TSavedPosition
struct | I3DEditorHostPart
struct | I3DEditorHostPanePart
struct | I3DEditorHostPanePart2
struct | IRenderableData
## Defines
#define | kInitZoom .8f
#define | kInitSize 30.0f
#define | kWPCActivatedPlane 'WPC1'
#define | kWPCToggledPlane 'WPC2'
#define | kWPCToggledGround 'WPC3'
## Enumerations
enum | EPaneConfig { kOnePane = 0, kTwoPaneHorizontal, kTwoPaneVertical, kTwoPaneInset, kThreePaneBottom, kThreePaneTop, kThreePaneLeft, kThreePaneRight, kFourPane, kPaneArray, kNoPane, kPaneConfigMax = 0x7FFFFFFF }
## Functions
| MCDEFINE_GUID (IID_I3DEditorHostPart, 0x8e168021, 0x1837, 0x11d2, 0xa0, 0xe0, 0x0, 0xaa, 0x0, 0xd3, 0x7, 0xeb)
| MCDEFINE_GUID (IID_I3DEditorHostPanePart, 0x8e168020, 0x1837, 0x11d2, 0xa0, 0xe0, 0x0, 0xaa, 0x0, 0xd3, 0x7, 0xeb)
| MCDEFINE_GUID (IID_I3DEditorHostPanePart2, 0xc9acb16, 0x715, 0x4b3e, 0x89, 0x3d, 0xe7, 0xc1, 0xd5, 0xe3, 0xf1, 0x2d)

## Define Documentation

#define kInitSize 30.0f

#define kInitZoom .8f

#define kWPCActivatedPlane 'WPC1'

#define kWPCToggledGround 'WPC3'

#define kWPCToggledPlane 'WPC2'

## Enumeration Type Documentation

enum EPaneConfig

Enumerator:

  kOnePane |
  kTwoPaneHorizontal |
  kTwoPaneVertical |
  kTwoPaneInset |
  kThreePaneBottom |
  kThreePaneTop |
  kThreePaneLeft |
  kThreePaneRight |
  kFourPane |
  kPaneArray |
  kNoPane |
  kPaneConfigMax |

## Function Documentation

MCDEFINE_GUID | ( | IID_I3DEditorHostPanePart2 | ,
|  | 0xc9acb16 | ,
|  | 0x715 | ,
|  | 0x4b3e | ,
|  | 0x89 | ,
|  | 0x3d | ,
|  | 0xe7 | ,
|  | 0xc1 | ,
|  | 0xd5 | ,
|  | 0xe3 | ,
|  | 0xf1 | ,
|  | 0x2d |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_I3DEditorHostPanePart | ,
|  | 0x8e168020 | ,
|  | 0x1837 | ,
|  | 0x11d2 | ,
|  | 0xa0 | ,
|  | 0xe0 | ,
|  | 0x0 | ,
|  | 0xaa | ,
|  | 0x0 | ,
|  | 0xd3 | ,
|  | 0x7 | ,
|  | 0xeb |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_I3DEditorHostPart | ,
|  | 0x8e168021 | ,
|  | 0x1837 | ,
|  | 0x11d2 | ,
|  | 0xa0 | ,
|  | 0xe0 | ,
|  | 0x0 | ,
|  | 0xaa | ,
|  | 0x0 | ,
|  | 0xd3 | ,
|  | 0x7 | ,
|  | 0xeb |  |
| ) |  |  |